Subject: Re: [PATCH 2/3] git-p4: support exclude paths

From: Tommy Thorn <[email-masked]>
Date: Tue, 12 Feb 2008 07:53:38 -0800

On Sunday 03 February 2008 10:21:05 I wrote:
> Teach git-p4 about the -/ option which adds depot paths to the exclude
> list, used when cloning. The option is chosen such that the natural
> Perforce syntax works, eg:
>
>   git p4 clone //branch/path/... -//branch/path/{large,old}/...
>
> Trailing ... on exclude paths are optional.
>
> This is a generalization of a change by Dmitry Kakurin (thanks).
>
> Signed-off-by: Tommy Thorn <[email-masked]>

.. to which Simon replied:
> Acked-By: Simon Hausmann <[email-masked]>
>
> I like it, Perforce'ish syntax. (Not that I like p4 though ;)

Alas, this change needs more work - the exclude paths needs to 
be maintained in the commit messages as otherwise we pull in new
files in the excluded path. I haven't done this yet.

However, the other patch (git-p4: no longer keep all file contents while cloning)
is IMO critical. You simply cannot clone a non-trivial Perforce repository 
without it. Why is this being ignored? Are there no users of git-p4?

Tommy

**